package de.uka.ipd.consensus.impl;

import de.uka.ipd.consensus.foundation.user.UserManager;
import de.uka.ipd.consensus.foundation.user.UserRole;

/**
 * 
 * TODO
 * @author Thomas Much
 * @version 2006-06-14
 */
public class UserRoleImpl implements UserRole {
	
	private UserManager manager;
	private String rolename;
	private String description;

	
	protected UserRoleImpl(UserManager manager, String rolename, String description) {
		this.manager = manager;
		this.rolename = rolename;
		this.description = description;
	}

	
	public String getRolename() {
		return rolename;
	}


	public String getDescription() {
		return description;
	}


	public UserManager getUserManager() {
		return manager;
	}


	public boolean equals(Object obj) {
		return rolename.equals(obj);
	}


	public int hashCode() {
		return rolename.hashCode();
	}


	public String toString() {
		return "UserRole \"" + rolename + "\"";
	}

}
